false alarm that unit test "test_file_protocol.js" failed

RESOLVED WORKSFORME

Status

()

defect
RESOLVED WORKSFORME
12 years ago
7 years ago

People

(Reporter: mats, Unassigned)

Tracking

({intermittent-failure})

Trunk
x86
All
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(Not tracked)

Details

()

Reporter

Description

12 years ago
qm-winxp01: false alarm that unit test "test_file_protocol.js" failed.
(cycle starting at 2008-01-20 15:07)

The snippet from "test_file_protocol.js.log" I can see in the Full Log
does not seem to indicate an error, so why did Tinderbox think it failed?
It went green the next cycle without any relevant checkins (Jesse added
a few crashtests, that's all).

FWIW, I found an older bug 360930 that seems related.
From this log:
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1201026643.1201029177.17757.gz
There's this error:
*** CHECK FAILED: Failed to load file: 80570007
JS frame :: c:/slave/trunk/mozilla/tools/test-harness/xpcshell-simple/head.js :: do_throw :: line 99
JS frame :: ../../_tests/xpcshell-simple/test_necko/unit/test_file_protocol.js :: anonymous :: line 110
Which means we're failing here: http://lxr.mozilla.org/mozilla/source/netwerk/test/unit/test_file_protocol.js#110
with the error NS_ERROR_XPC_CANT_GET_METHOD_INFO:
http://mxr.mozilla.org/mozilla/source/js/src/xpconnect/idl/nsIXPConnect.idl#87

That error is only reference in three places:
http://lxr.mozilla.org/mozilla/source/js/src/xpconnect/src/xpcwrappednativejsops.cpp#1470
http://lxr.mozilla.org/mozilla/source/js/src/xpconnect/src/xpcwrappednativejsops.cpp#1490
http://lxr.mozilla.org/mozilla/source/js/src/xpconnect/src/xpcwrappednative.cpp#1999

jst: any idea how we'd be getting this error code in this situation?
Judging by the time this started, and bug 408301's sad history I don't really know what to say here other than to point the blame at the fix for bug 408301 again.

The intermittent nature of this and the fact that this only shows up on this one tinderbox makes me wonder what's really going on here though. But w/o seeing this in a debugger I don't have much else to add here.
This is happening pretty consistently on that one tinderbox right now.
Yes, but nowhere else it seems. Maybe the easiest way to find out what caused this would be to back out bug 408301 yet again? Unless others have better ideas, that is.
(In reply to comment #5)
> Maybe the easiest way to find out what caused this would be to back out
> bug 408301 yet again?

I think that's a good idea.

> Unless others have better ideas, that is.

Why can't someone move the tinderbox off the front page for a few hours while you attack with a debugger?
Or work on a clone... EG, I filed bug 413092 to try and diagnose unrelated problems I've been having with qm-winxp01.
Component: Testing → XPConnect
QA Contact: testing → xpconnect

Comment 8

10 years ago
A similar failure on Linux:

Linux mozilla-1.9.1 unit test on 2009/08/25 20:06:20
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.5/1251255980.1251260719.8431.gz
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6-Unittest/1257503828.1257506030.16061.gz
Linux mozilla-1.9.2 test everythingelse on 2009/11/06 02:37:08
Blocks: 438871
OS: Windows XP → All
Whiteboard: [orange]
Summary: qm-winxp01: false alarm that unit test "test_file_protocol.js" failed → false alarm that unit test "test_file_protocol.js" failed
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1258259198.1258266123.32452.gz
Linux mozilla-central debug test everythingelse on 2009/11/14 20:26:38
s: moz2-linux-slave13

Comment 11

10 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1261404134.1261412033.2671.gz
Linux mozilla-central debug test everythingelse on 2009/12/21 06:02:14
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1264351685.1264353669.19183.gz
Linux mozilla-central debug test xpcshell on 2010/01/24 08:48:05
s: moz2-linux-slave26
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1264694109.1264695204.29730.gz
Linux mozilla-central opt test xpcshell on 2010/01/28 07:55:09
s: moz2-linux-slave12
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1266528454.1266531565.21728.gz
Linux mozilla-central debug test xpcshell on 2010/02/18 13:27:34
s: moz2-linux-slave06
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1266773336.1266775607.6193.gz
Linux mozilla-central debug test xpcshell on 2010/02/21 09:28:56
s: moz2-linux-slave05
http://tinderbox.mozilla.org/showlog.cgi?log=ThunderbirdTrunk/1334889778.1334890560.27564.gz
Linux comm-central test xpcshell on 2012/04/19 19:42:58
s: momo-vm-fedora12-04
{
TEST-UNEXPECTED-FAIL | /buildbot/comm-central-linux-opt-unittest-xpcshell/build/xpcshell/tests/netwerk/test/unit/test_file_protocol.js | test failed (with xpcshell return code: 0), see following log:

TEST-UNEXPECTED-FAIL | /buildbot/comm-central-linux-opt-unittest-xpcshell/build/xpcshell/tests/netwerk/test/unit/test_file_protocol.js | Failed to load file: 80520006 - See following stack:

JS frame :: /buildbot/comm-central-linux-opt-unittest-xpcshell/build/xpcshell/tests/netwerk/test/unit/test_file_protocol.js :: <TOP_LEVEL> :: line 105
}
Status: NEW → RESOLVED
Last Resolved: 7 years ago
Resolution: --- → WORKSFORME
Whiteboard: [orange]
You need to log in before you can comment on or make changes to this bug.